\version "2.12.2"

\header{       % заголовок партитуры
  title = "Ой, не было ветру"
  composer = "Свадебная"
}

#(set-global-staff-size 17)  % устанавливаем размер нотного стана, чтобы партитура уместилась на требуемом числе страниц

\paper {       % формат страницы
  #(set-paper-size "a4")
  line-width = 22\cm
  paper-width = 22\cm
  bottom-margin = 20\mm  % устанавливаем нижнее поле, чтобы струйный принтер не "съедал" последнюю строчку
  horizontal-shift = -5\mm
}

% Текст песнопения с разбиением на слоги. Цифры обозначают длительность соответствующих нот. 
% Символ "_" обозначает паузу соответствующей длительности.
TextA = \lyricmode{ Ой,4 не8 бы- ло ве- тру,2 не8 бы- ло ве- тру,4 вдруг8 за- ве-4. я-8 ло,4 вдруг8 за- ве-4 я- ло. }
TextB = \lyricmode{ Ой,4 не8 бы- ло го- стей,2 не8 бы- ло го- стей,4 вдруг8 на- е-4. ха-8 ли,4 вдруг8 на- е-4 ха- ли. }
TextC = \lyricmode{ Ох4 сват у8 во- рот,2  ох8 сват у во- рот4 по-8 кло- ня-4. е-8 тся,4 по-8 кло- ня-4 е- тся: }
TextD = \lyricmode{ Ой4 вы-8 да- йте мо- е,2 вы-8 да- йте мо- е,4 мо-8 е су-4 же-8 но- е,4 мо-8 е ря-4 же-8 но- е!4 }
TextE = \lyricmode{ Ой4 вы-8 да- ли е- му,2 вы-8 да- ли е- му4 во-8 ро- но-4 ва8 ко- ня,4 во-8 ро- но-4 ва8 ко- ня.4 }
TextF = \lyricmode{ Ох,4 э-8 то не мо- е,4. ох,8 э- то не мо- е,4 не8 о- су-4 же-8 но- е,4 не-8 о- ря-4 же-8 но- е.4 }

% Далее записываем нотные партии голосов

SopranoA = { % партия сопрано
  \time 2/4
  \key d \minor
  \autoBeamOff
  \relative c''{ \partial 4 d4 d8( c) e d a4.( d8) c c c d16[ c] a4 c8 c c16[ d c bes] a8 c a4 c8 c f,4 g a  \bar "|" }
}

SopranoB = { % партия сопрано
  \time 2/4
  \key d \minor
  \autoBeamOff
  \relative c''{ \partial 4 d d8 c e d a4.( d8) c c c d16[ c] a4 c8 c c16[ d c bes] a8 c a4 c8 c f,4 g8 g a4 }
}

% в остальных партиях такты можно не расставлять. Записываем просто последовательности нот.
AltoA = { 
  \autoBeamOff
  \relative c''{\partial 4 s4 s2 s c8 bes a g f4 g8( f) g4( f8) g a4 g8 g f4 g a }
}

AltoB = { 
  \autoBeamOff
  \relative c''{\partial 4 s4 s2 s c8 bes a g f4 g8( f) g4( f8) g a4 g8 g f4 g8 g a4 }
}


TenorA = {
  \autoBeamOff
  \relative c'{ \partial 4 r4 r2 r r r4 e8( d) c4( d8) e f4 e8 e d4 d c }
}

TenorB = {
  \autoBeamOff
  \relative c'{ \partial 4 r4 r2 r r r4 e8( d) c4( d8) e f4 e8 e d4 d8 d c4 }
}

BassA = {
  \key d \minor
  \autoBeamOff
  \relative c'{ \partial 4 s4 s2 s s s s s4 c8 c d([ c]) bes4 a }
}

BassB = {
  \key d \minor
  \autoBeamOff
  \relative c'{ \partial 4 s4 s2 s s s s s4 c8 c d([ c]) bes bes a4 }
}

% Описание расположения партий на нотных станах
\score 
{
  <<
    \new StaffGroup
    {
      <<     % группа станов
        \new Staff				% нотный стан
        {          				
          #(set-accidental-style 'forget)	% режим отображения знаков альтерации "без излишних напоминаний"
	  \clef treble           		% скрипичный ключ
	  <<{ \SopranoA }\\{ \AltoA }>>       	% вывод двух голосов на одном нотном стане
	}
	\new Lyrics{ \TextA }
	\new Staff				% стан с аналогичными настройками, только ключ басовый
        { 					
	  #(set-accidental-style 'forget) 
	  \clef bass
	  <<{ \TenorA }\\{ \BassA }>>
	} %}
      >>
    }
    \new StaffGroup
    {
      <<     % группа станов
        \new Staff				% нотный стан
        {          				
          #(set-accidental-style 'forget)	% режим отображения знаков альтерации "без излишних напоминаний"
	  \clef treble           		% скрипичный ключ
	  <<{ \SopranoA }\\{ \AltoA }>>       	% вывод двух голосов на одном нотном стане
	}
	\new Lyrics{ \TextB }
	\new Staff				% стан с аналогичными настройками, только ключ басовый
        { 					
	  #(set-accidental-style 'forget) 
	  \clef bass
	  <<{ \TenorA }\\{ \BassA }>>
	} %}
      >>
    }
    \new StaffGroup
    {
      <<     % группа станов
        \new Staff				% нотный стан
        {          				
          #(set-accidental-style 'forget)	% режим отображения знаков альтерации "без излишних напоминаний"
	  \clef treble           		% скрипичный ключ
	  <<{ \SopranoA }\\{ \AltoA }>>       	% вывод двух голосов на одном нотном стане
	}
	\new Lyrics{ \TextC }
	\new Staff				% стан с аналогичными настройками, только ключ басовый
        { 					
	  #(set-accidental-style 'forget) 
	  \clef bass
	  <<{ \TenorA }\\{ \BassA }>>
	} %}
      >>
    }
    \new StaffGroup
    {
      <<     % группа станов
        \new Staff				% нотный стан
        {          				
          #(set-accidental-style 'forget)	% режим отображения знаков альтерации "без излишних напоминаний"
	  \clef treble           		% скрипичный ключ
	  <<{ \SopranoB }\\{ \AltoB }>>       	% вывод двух голосов на одном нотном стане
	}
	\new Lyrics{ \TextD }
	\new Staff				% стан с аналогичными настройками, только ключ басовый
        { 					
	  #(set-accidental-style 'forget) 
	  \clef bass
	  <<{ \TenorB }\\{ \BassB }>>
	} %}
      >>
    }
    \new StaffGroup
    {
      <<     % группа станов
        \new Staff				% нотный стан
        {          				
          #(set-accidental-style 'forget)	% режим отображения знаков альтерации "без излишних напоминаний"
	  \clef treble           		% скрипичный ключ
	  <<{ \SopranoB }\\{ \AltoB }>>       	% вывод двух голосов на одном нотном стане
	}
	\new Lyrics{ \TextE }
	\new Staff				% стан с аналогичными настройками, только ключ басовый
        { 					
	  #(set-accidental-style 'forget) 
	  \clef bass
	  <<{ \TenorB }\\{ \BassB }>>
	} %}
      >>
    }
    \new StaffGroup
    {
      <<     % группа станов
        \new Staff				% нотный стан
        {          				
          #(set-accidental-style 'forget)	% режим отображения знаков альтерации "без излишних напоминаний"
	  \clef treble           		% скрипичный ключ
	  <<{ \SopranoB }\\{ \AltoB }>>       	% вывод двух голосов на одном нотном стане
	}
	\new Lyrics{ \TextF }
	\new Staff				% стан с аналогичными настройками, только ключ басовый
        { 					
	  #(set-accidental-style 'forget) 
	  \clef bass
	  <<{ \TenorB }\\{ \BassB }>>
	} %}
      >>
    }
  >>
  \layout 
  {
    \context 
    {
      \Staff 
    }
  }
}
\markup
{
   \fill-line
   {
     ""
     {
       \column
       {
         \left-align
         {
           "Ой, не было ветру, не было ветру, вдруг завеяло, вдруг завеяло."
           "Ой, не было гостей, не было гостей, вдруг наехали, вдруг наехали."
           "Ох сват у ворот, ох сват у ворот поклоняется, поклоняется:"
           "Ой выдайте мое, выдайте мое, мое суженое, мое ряженое!"
           "Ой вывели ему, вывели ему красну девицу, красну девицу."
           "Ох это ведь мое, это ведь мое, мое суженое, мое ряженое!"
         }
       }
     }
     ""
   }
}